<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cool.store.mapper.fees.WalletAllocationCompanyMapper">
    <resultMap id="BaseResultMap" type="com.cool.store.entity.fees.WalletAllocationCompanyDO">
        <!--
          WARNING - @mbg.generated
        -->
        <id column="id" jdbcType="BIGINT" property="id"/>
        <result column="config_id" jdbcType="BIGINT" property="configId"/>
        <result column="payee_name" jdbcType="VARCHAR" property="payeeName"/>
        <result column="payee_code" jdbcType="VARCHAR" property="payeeCode"/>
        <result column="create_user_id" jdbcType="VARCHAR" property="createUserId"/>
        <result column="create_time" jdbcType="TIMESTAMP" property="createTime"/>
    </resultMap>

    <insert id="insertBatch" parameterType="java.util.List">
        INSERT INTO zxjp_fees_wallet_allocation_company (config_id, payee_name, payee_code, create_user_id)
        VALUES
        <foreach collection="list" item="item" separator=",">
            (#{item.configId}, #{item.payeeName}, #{item.payeeCode}, #{item.createUserId})
        </foreach>
    </insert>
</mapper>